The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Frustrating! Can someone tell me please?

Discussion in 'General Discussion' started by BeerUser, Apr 19, 2004.

  1. BeerUser

    BeerUser Active Member

    Joined:
    Apr 16, 2004
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    6
    Got the server few days ago and today I finally found how to update php...

    WHM 9.2.0 cPanel 9.2.0-R20
    RedHat Enterprise 3 - WHM X v2.1.2


    This is how I did it.

    1) Download from php v4.3.6 then gunzip/tar xvf.., I copy and pate configure line for PHPINFO PAGE. "./configure' '--with-apxs=/usr/local/apache/bin/apxs' '--with-xml' '--enable-bcmath' '--enable-calendar' '--enable-ftp' '--enable-magic-quotes' '--with-mysql' '--with-pear' '--enable-sockets' '--enable-track-vars' '--enable-versioning' '--with-zlib'"

    Then typed make and then finished it off with make install.

    Restarted httpd service. Log back onto Whm and my PHPInfo page. Both say Im using 4.3.6 which is good...

    But Then I go to 'Update Apache' and it still says 4.3.3???

    Screenshot attached.
     

    Attached Files:

    #1 BeerUser, Apr 19, 2004
    Last edited: Apr 19, 2004
  2. matthewdavis

    matthewdavis Well-Known Member

    Joined:
    Jun 26, 2003
    Messages:
    90
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    NC, USA
    Thats only telling you the version of php that the script will install. It's not telling you the php version that is already installed. The buildapache script rebuilds your apache with a set of configed options.
     
  3. LordJMann

    LordJMann Well-Known Member

    Joined:
    Jun 15, 2003
    Messages:
    74
    Likes Received:
    0
    Trophy Points:
    6
    Those are default build apache values. They have nothing to do with your current version. When you login to the root WHM account it will show you your current version of PHP and if it isn't up-to date then the lock next to it will be unlocked.
     
  4. elleryjh

    elleryjh Well-Known Member

    Joined:
    Apr 12, 2003
    Messages:
    479
    Likes Received:
    0
    Trophy Points:
    16
    Looks like someone didn't read the text in his own screenshot
     
  5. BeerUser

    BeerUser Active Member

    Joined:
    Apr 16, 2004
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    6
    Im lost.. so how do i update that page??
     
  6. elleryjh

    elleryjh Well-Known Member

    Joined:
    Apr 12, 2003
    Messages:
    479
    Likes Received:
    0
    Trophy Points:
    16
    you dont. That page is for configuring apache, not showing the status of your configuration. READ the top of that page.

    "The options checked below reflect the default options, and not the currently active ones.The options checked below reflect the default options, and not the currently active ones."
     
  7. BeerUser

    BeerUser Active Member

    Joined:
    Apr 16, 2004
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    6
    Ohh okay, so next time a new apache comes out and I update apache, that page will update as well or is it a cpanel apache update?
     
  8. Pyro411

    Pyro411 Active Member

    Joined:
    Oct 2, 2002
    Messages:
    39
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Stanton, Michigan.
    it's a cpanel update. that page will change even if a new version of apache hasn't been released... the page will more then likely change when php 4.3.5 is out of testing & the scripts are updated or an other item is changed.
     
  9. BeerUser

    BeerUser Active Member

    Joined:
    Apr 16, 2004
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    6
    Ahh okay, thank you very much.
     
  10. Sinewy

    Sinewy Well-Known Member

    Joined:
    May 15, 2004
    Messages:
    367
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Sydney, Australia
    cPanel Access Level:
    DataCenter Provider
    anyone know when 4.3.6 comes out of testing?
     
  11. BeerUser

    BeerUser Active Member

    Joined:
    Apr 16, 2004
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    6
    I have been using it for like a month now i think and everything is fine. I dont see why there is a hold back at all. You can just convert back if there is any issues.
     
Loading...

Share This Page